Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class ImageRendered

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImage
          org.apache.xmlgraphics.image.loader.impl.ImageRendered

All Implemented Interfaces:
  Image

Direct Known Subclasses:
  ImageBuffered

    public class ImageRendered

extends AbstractImage

This class is an implementation of the Image interface exposing a RenderedImage.

Constructor Summary
`ImageRendered(ImageInfo info, java.awt.image.RenderedImage red, java.awt.Color transparentColor)` Main constructor.

Method Summary
`java.awt.color.ColorSpace` | `getColorSpace()` Returns the image's color space if the information is available.
`ImageFlavor` | `getFlavor()` Returns the flavor of the image.
`java.awt.color.ICC_Profile` | `getICCProfile()` Returns the ICC color profile if one is associated with the image.
`java.awt.image.RenderedImage` | `getRenderedImage()` Returns the contained RenderedImage instance.
`java.awt.Color` | `getTransparentColor()` Returns the transparent color if available.
`boolean` | `isCacheable()` Indicates whether the Image instance is cacheable in memory.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage
`getInfo, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageRendered

    public ImageRendered(ImageInfo info,
                         java.awt.image.RenderedImage red,
                         java.awt.Color transparentColor)

  Main constructor.

  Parameters:
    `info` - the image info object
    `red` - the RenderedImage instance
    `transparentColor` - the transparent color or null

Method Detail

### getFlavor

    public ImageFlavor getFlavor()

  Returns the flavor of the image.

  Returns:
    the image flavor

### isCacheable

    public boolean isCacheable()

  Indicates whether the Image instance is cacheable in memory.

  Returns:
    true if the Image is cacheable

### getRenderedImage

    public java.awt.image.RenderedImage getRenderedImage()

  Returns the contained RenderedImage instance.

  Returns:
    the RenderedImage instance

### getColorSpace

    public java.awt.color.ColorSpace getColorSpace()

  Returns the image's color space if the information is available.

  Specified by:
    `getColorSpace` in interface `Image`
  Overrides:
    `getColorSpace` in class `AbstractImage`
  Returns:
    the color space or null if the color space is unknown or undefined

### getICCProfile

    public java.awt.color.ICC_Profile getICCProfile()

  Returns the ICC color profile if one is associated with the image.

  Specified by:
    `getICCProfile` in interface `Image`
  Overrides:
    `getICCProfile` in class `AbstractImage`
  Returns:
    the ICC color profile or null if there's no profile

### getTransparentColor

    public java.awt.Color getTransparentColor()

  Returns the transparent color if available.

  Returns:
    the transparent color or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.